Bug 182417 - [PATCH] devel/simgear: fix build with clang
Summary: [PATCH] devel/simgear: fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-26 18:30 UTC by amdmi3
Modified: 2013-10-18 09:37 UTC (History)
1 user (show)

See Also:


Attachments
simgear-2.10.0.patch (3.43 KB, patch)
2013-09-26 18:30 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2013-09-26 18:30:00 UTC
- Support staging
- Fix build with clang
- Remove unneeded USE_GCC

Port maintainer (martymac@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-09-26 18:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->martymac

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2013-10-01 08:57:07 UTC
Hi Dmitry,

Thanks for your patch.

I am currently working on the update of simgear to version 2.12, so I
won't update 2.10 anymore.

Regarding clang support, I don't know if this patch will be necessary
for 2.12. I'll use it if necessary :)

Thanks for your help,
Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 Ganael LAPLANCHE freebsd_committer 2013-10-18 09:37:46 UTC
State Changed
From-To: open->closed

This patch will not be needed for simgear 2.12 update. Thank anyway!